# Installs in dir /usr

%define prefix /usr

Summary: A data viewing program for KDE.
Name: kst
Version: 0.98
Release: 1
Source0: kst-%{version}.tar.gz
Group: X11/Applications/Scientific
License: GNU GENERAL PUBLIC LICENSE
URL: http://omega.astro.utoronto.ca/kst/kst-%{version}.tar.gz
Vendor: Barth Netterfield <netterfield@astro.utoronto.ca>
BuildRoot: /var/tmp/kst-%{version}.root

Requires(post,postun): /sbin/ldconfig

%description
A data viewing application for KDE.

%prep
%setup 
./configure --with-install-root=$RPM_BUILD_ROOT --prefix=$RPM_BUILD_ROOT/%prefix --disable-debug

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make R="$RPM_BUILD_ROOT" SUID_ROOT="" install

%files
%defattr(-,root,root)
#binaries
%prefix/bin/kst
%prefix/bin/d2asc
%prefix/bin/kstplugineditor
#libraries
%prefix/lib/libkst.so.1.0.0
#plugins
%prefix/lib/kde3/kstplugins/bin.la
%prefix/lib/kde3/kstplugins/bin.so
%prefix/lib/kde3/kstplugins/bin.xml
%prefix/share/services/kst/kstdata_ascii.desktop
%prefix/lib/kde3/kstdata_ascii.so
%prefix/share/services/kst/kstdata_indirect.desktop
%prefix/lib/kde3/kstdata_indirect.so
%prefix/share/services/kst/kstdata_dirfile.desktop
%prefix/lib/kde3/kstdata_dirfile.so
%prefix/share/services/kst/kstdata_frame.desktop
%prefix/lib/kde3/kstdata_frame.so
%prefix/include/kstdatasource.h
%prefix/include/kstobject.h
%prefix/lib/kde3/kstdata_ascii.la
%prefix/lib/kde3/kstdata_dirfile.la
%prefix/lib/kde3/kstdata_frame.la
%prefix/lib/kde3/kstdata_indirect.la
%prefix/lib/libkst.la
%prefix/share/servicetypes/kst/kstdatasourceplugin.desktop
%prefix/share/servicetypes/kst/kstplugin.desktop
%prefix/share/servicetypes/kst/kstfilter.desktop
%prefix/lib/kde3/kstplugins/linefit.xml
%prefix/lib/kde3/kstplugins/linefit.so
%prefix/lib/kde3/kstplugins/linefit.la
%prefix/lib/kde3/kstplugins/periodogram.xml
%prefix/lib/kde3/kstplugins/periodogram.so
%prefix/lib/kde3/kstplugins/periodogram.la
%prefix/lib/kde3/kstplugins/phase.xml
%prefix/lib/kde3/kstplugins/phase.so
%prefix/lib/kde3/kstplugins/phase.la
%prefix/lib/kde3/kstplugins/statistics.xml
%prefix/lib/kde3/kstplugins/statistics.so
%prefix/lib/kde3/kstplugins/statistics.la
%prefix/lib/kde3/kstplugins/chop.xml
%prefix/lib/kde3/kstplugins/chop.so
%prefix/lib/kde3/kstplugins/chop.la
#extensions
%prefix/lib/kde3/kstextension_elog.la
%prefix/lib/kde3/kstextension_elog.so
%prefix/share/services/kst/kstextension_elog.desktop
%prefix/share/servicetypes/kst/kstextension.desktop
# UI file
%prefix/share/apps/kst/kstui.rc
#%prefix/share/apps/kst/kstui2.rc
#desktop file
%prefix/share/applnk/Applications/Sciences/kst.desktop
%prefix/share/mimelnk/application/x-kst.desktop
#icons
%prefix/share/icons/hicolor/22x22/actions/kst_back.png
%prefix/share/icons/hicolor/22x22/actions/kst_editplots.png
%prefix/share/icons/hicolor/22x22/actions/kst_zoomx.png
%prefix/share/icons/hicolor/22x22/actions/kst_zoomy.png
%prefix/share/icons/hicolor/22x22/actions/kst_advance.png
%prefix/share/icons/hicolor/22x22/actions/kst_datamanager.png
%prefix/share/icons/hicolor/22x22/actions/kst_zoomtie.png
%prefix/share/icons/hicolor/22x22/actions/kst_zoomxy.png
%prefix/share/icons/hicolor/22x22/actions/kst_graphfile.png
%prefix/share/icons/hicolor/22x22/actions/kst_changenpts.png
%prefix/share/icons/hicolor/22x22/actions/kst_changefile.png
%prefix/share/icons/hicolor/22x22/actions/kst_datamode.png
%prefix/share/icons/locolor/16x16/apps/kst.png
%prefix/share/icons/locolor/32x32/apps/kst.png
%prefix/share/icons/hicolor/16x16/mimetypes/kst.png
%prefix/share/icons/hicolor/22x22/actions/kst_datawizard.png
%prefix/share/icons/hicolor/32x32/mimetypes/kst.png
%prefix/share/icons/locolor/16x16/mimetypes/kst.png
%prefix/share/icons/locolor/32x32/mimetypes/kst.png
%prefix/share/icons/hicolor/22x22/actions/kst_layoutmode.png
#docs
%prefix/share/doc/HTML/en/kst/index.docbook
%prefix/share/doc/HTML/en/kst/index.cache.bz2
%prefix/share/doc/HTML/en/kst/Diagram-kst-datatypes.png
%prefix/share/doc/HTML/en/kst/Diagram-kst-frames.png
%prefix/share/doc/HTML/en/kst/Diagram-kst-windowplotrelation.png
%prefix/share/doc/HTML/en/kst/Formula-kst-autocorrelation.png
%prefix/share/doc/HTML/en/kst/Formula-kst-autocorrelation2.png
%prefix/share/doc/HTML/en/kst/Formula-kst-bandpass.png
%prefix/share/doc/HTML/en/kst/Formula-kst-bandstop.png
%prefix/share/doc/HTML/en/kst/Formula-kst-convolution.png
%prefix/share/doc/HTML/en/kst/Formula-kst-crosscorrelation.png
%prefix/share/doc/HTML/en/kst/Formula-kst-deconvolution.png
%prefix/share/doc/HTML/en/kst/Formula-kst-exponentialfitequation.png
%prefix/share/doc/HTML/en/kst/Formula-kst-gaussianfitequation.png
%prefix/share/doc/HTML/en/kst/Formula-kst-gaussianprobability.png
%prefix/share/doc/HTML/en/kst/Formula-kst-generallinearmodel.png
%prefix/share/doc/HTML/en/kst/Formula-kst-generallinearmodelexample.png
%prefix/share/doc/HTML/en/kst/Formula-kst-gradientequation.png
%prefix/share/doc/HTML/en/kst/Formula-kst-gradientsumofsquares.png
%prefix/share/doc/HTML/en/kst/Formula-kst-highpass.png
%prefix/share/doc/HTML/en/kst/Formula-kst-linefitequation.png
%prefix/share/doc/HTML/en/kst/Formula-kst-linefitsumofsquaredresiduals.png
%prefix/share/doc/HTML/en/kst/Formula-kst-lorentzianfitequation.png
%prefix/share/doc/HTML/en/kst/Formula-kst-lowpass.png
%prefix/share/doc/HTML/en/kst/Formula-kst-polynomialfitequation.png
%prefix/share/doc/HTML/en/kst/Formula-kst-sinusoidfitequation.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-configureshortcutswindow.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-curveoptions.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-curvewindow.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-datamode.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-datawizard1.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-datawizard2.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-datawizard3.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-defineshortcutwindow.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-equationwindow.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-eventmonitor.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-exportgraphics.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-histogramwindow.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-labeleditor.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-mainwindow.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-mditabpage.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-mditoplevel.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-multipleselectedplots.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-plotdialogcontent.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-plotdialoglabels.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-plotdialoglegend.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-plotdialoglimits.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-plotdialogtop.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-pluginswindow.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-powerspectrawindow.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-simpledata.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-tiedzoom.png
%prefix/share/doc/HTML/en/kst/Screenshot-kst-vectorwindow.png
%prefix/share/doc/HTML/en/kst/Symbol-kst-Gamma.png
%prefix/share/doc/HTML/en/kst/Symbol-kst-lambda.png
%prefix/share/doc/HTML/en/kst/Symbol-kst-mu.png
%prefix/share/doc/HTML/en/kst/Symbol-kst-sigma.png
%prefix/share/doc/HTML/en/kst/Widget-kst-close.png
%prefix/share/doc/HTML/en/kst/Widget-kst-colourchooser.png
%prefix/share/doc/HTML/en/kst/Widget-kst-defaultcolours.png
%prefix/share/doc/HTML/en/kst/Widget-kst-maximize.png
%prefix/share/doc/HTML/en/kst/Widget-kst-minimize.png
%prefix/share/doc/HTML/en/kst/Widget-kst-swapcolour.png
%prefix/share/doc/HTML/en/kst/Widget-kst-undock.png
%prefix/share/doc/HTML/en/kst/additionalformats-chapter.docbook
%prefix/share/doc/HTML/en/kst/commandline-chapter.docbook
%prefix/share/doc/HTML/en/kst/creatingplugins-chapter.docbook
%prefix/share/doc/HTML/en/kst/data-chapter.docbook
%prefix/share/doc/HTML/en/kst/dcop-chapter.docbook
%prefix/share/doc/HTML/en/kst/debuglog-chapter.docbook
%prefix/share/doc/HTML/en/kst/eventmonitoring-chapter.docbook
%prefix/share/doc/HTML/en/kst/install-chapter.docbook
%prefix/share/doc/HTML/en/kst/intro-chapter.docbook
%prefix/share/doc/HTML/en/kst/license-chapter.docbook
%prefix/share/doc/HTML/en/kst/miscfeatures-chapter.docbook
%prefix/share/doc/HTML/en/kst/plotsandwindows-chapter.docbook
%prefix/share/doc/HTML/en/kst/plugins-chapter.docbook
%prefix/share/doc/HTML/en/kst/saving-chapter.docbook
#other
"%prefix/share/config/colors/Kst Colors"

%doc ChangeLog INSTALL AUTHORS README COPYING

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

